import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:new_device_info/new_device_info.dart';

void main() {
  runApp(const NewDeviceInfoApp());
}

class NewDeviceInfoApp extends StatelessWidget {
  const NewDeviceInfoApp({Key? key}) : super(key: key);

  void Function()? getDevicesProperties() {
    return () async {
      /// Initialize Plugin
      final devicePropertiesPlugin = NewDeviceInfo();
      try {
        /// get all devices properties
        var deviceInfo = await devicePropertiesPlugin.getDevicesProperties();
        print("your devices info detail :\n${deviceInfo?.toJson()}");

        /// only get your ip public
        var ipPublic = await devicePropertiesPlugin.getPublicIp();
        print("your devices ip public detail :\n$ipPublic");
      } on PlatformException {
        /// Handle Error
        return;
      }
    };
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
          appBar: AppBar(title: const Text("DeviceInfosApp")),
          body: Center(
            child: ElevatedButton(
                onPressed: getDevicesProperties(), child: const Text("Get devices Info")),
          )),
    );
  }
}
