/*
 * Dayona
 * Created on Thu May 26 2022
 * email : dayonaart@gmail.com
 * Copyright (c) 2022
 */

import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'new_device_info_method_channel.dart';

abstract class NewDeviceInfoPlatform extends PlatformInterface {
  /// Constructs a NewDeviceInfoPlatform.
  NewDeviceInfoPlatform() : super(token: _token);
  static final Object _token = Object();
  static NewDeviceInfoPlatform _instance = MethodChannelNewDeviceInfo();
  static NewDeviceInfoPlatform get instance => _instance;
  static set instance(NewDeviceInfoPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<DevicesInfoModel?> getProperties() {
    throw UnimplementedError('getProperties() not inplement');
  }

  Future<String?> getPublicIp() {
    throw UnimplementedError('getPublicIp() not inplement');
  }
}
