import 'package:flutter_test/flutter_test.dart';
import 'package:new_device_info/new_device_info.dart';
import 'package:new_device_info/new_device_info_platform_interface.dart';
import 'package:new_device_info/new_device_info_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockNewDeviceInfoPlatform with MockPlatformInterfaceMixin implements NewDeviceInfoPlatform {
  @override
  Future<DevicesInfoModel?> getProperties() => Future.value(null);
  @override
  Future<String?> getPublicIp() => Future.value(null);
}

void main() {
  final NewDeviceInfoPlatform initialPlatform = NewDeviceInfoPlatform.instance;

  test('$MethodChannelNewDeviceInfo is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelNewDeviceInfo>());
  });

  test('getProperties', () async {
    NewDeviceInfo newDeviceInfoPlugin = NewDeviceInfo();
    MockNewDeviceInfoPlatform fakePlatform = MockNewDeviceInfoPlatform();
    NewDeviceInfoPlatform.instance = fakePlatform;
    expect(await newDeviceInfoPlugin.getDevicesProperties(), null);
  });
  test('getPublicIp', () async {
    NewDeviceInfo newDeviceInfoPlugin = NewDeviceInfo();
    MockNewDeviceInfoPlatform fakePlatform = MockNewDeviceInfoPlatform();
    NewDeviceInfoPlatform.instance = fakePlatform;
    expect(await newDeviceInfoPlugin.getDevicesProperties(), null);
  });
}
